#ifndef _SIP_MSG_PARSE__H
#define	_SIP_MSG_PARSE__H

void sip_util_replace_all_lws(char *msg);
int sip_set_next_token(char **dest, char *buf, int endSeparator, char **next);
int sip_msg_start_line_parse(SIP_API_STRUCT *dest, char *buf, char **nextHeader);
int sip_uri_parse(SIP_URI *sipUri, char *buf);
int sip_msg_headers_parse(SIP_API_STRUCT *sip, char *buf, char **body);
int sip_body_parse(SIP_API_STRUCT *sip, char *buf, WORD len);
int sip_parser_init(void);

#endif
